## meson 0.47.1

=== debian/changelog ===
meson (0.47.1-1ubuntu2) cosmic; urgency=medium

  * quadmath is available on ppc64le, but not use by gfortran on
    ppc64le. Not sure how to detect this properly.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 17 Jul 2018 17:26:51 +0100

meson (0.47.1-1ubuntu1) cosmic; urgency=medium

  * Fix autopgtest, quadmath is not available on all architectures.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 17 Jul 2018 09:40:30 +0100

meson (0.47.1-1) unstable; urgency=medium

  * New upstream release. Closes: #903414.
  * Install depfixer again, it got lost accidentally. Closes: #903279.
  * Disable all Valgrind tests because of #903404.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 11 Jul 2018 00:05:14 +0300
