## meson 0.47.2

=== test cases/common/50 subproject options/subprojects/subproject/meson_options.txt ===
option('opt', type : 'boolean', value : false, description : 'subproject option')
