=== debian/changelog ===
meson (0.47.2-1ubuntu1) cosmic; urgency=medium

  * Sync with Debian.
  * Cherry-pick patch to not use quadmath with Fortran. (Closes: #907324)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 02 Sep 2018 12:05:01 -0400

meson (0.47.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 25 Aug 2018 11:15:05 +0300

meson (0.47.1-2) unstable; urgency=medium

  * Fix debcrossgen install properly. Closes: #903279.
  * Re-enable Valgrind tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 3 Aug 2018 22:56:19 +0300
