=== debian/control ===
Source: meson
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.1.4
Homepage: http://mesonbuild.com
X-Python3-Version: >= 3.5
Build-Depends: debhelper (>= 11),
  python3:any (>= 3.5),
  dh-python,
  python3-setuptools,
  ninja-build (>= 1.6),
# The following are needed for the unit test suite
  zlib1g-dev <!nocheck>,
  pkg-config <!nocheck>,
  libboost-dev <!nocheck>,
  libboost-thread-dev <!nocheck>,
  libboost-test-dev <!nocheck>,
  libboost-log-dev <!nocheck>,
  gobjc <!nocheck>,
  gobjc++ <!nocheck>,
  gnustep-make <!nocheck>,
  libgnustep-base-dev <!nocheck>,
  googletest <!nocheck>,
  qtbase5-dev <!nocheck>,
  qtbase5-private-dev <!nocheck>,
  qtbase5-dev-tools <!nocheck>,
  qttools5-dev-tools <!nocheck>,
  protobuf-compiler <!nocheck>,
  libprotobuf-dev <!nocheck>,
# OpenJDK does not work on Hurd, so skip the tests.
  default-jdk-headless [!hurd-i386] <!nocheck>,
  valac <!nocheck>,
  gobject-introspection <!nocheck>,
  libgirepository1.0-dev <!nocheck>,
  gfortran <!nocheck>,
  flex <!nocheck>,
  bison <!nocheck>,
  mono-mcs <!nocheck>,
  mono-devel <!nocheck>,
  libwxgtk3.0-dev <!nocheck>,
  python3-gi <!nocheck>,
  gtk-doc-tools <!nocheck>,
# Rust is not needed to build Meson, only to run a part of its test
# suite.  Rust tests will be skipped if rustc is not available.  This
# stanza makes dep dep solver install rustc whenever it is available
# and when not it installs a harmless filler package.
  rustc [i386 amd64] <!nocheck> | bash-doc <!nocheck>,
  python3-dev <!nocheck>,
  cython3 <!nocheck>,
# GDC is available on all platforms but it only
# works when libgphobos-dev is available
# and it only exists on a few architectures.
  gdc [amd64 armhf i386] <!nocheck>,
  itstool <!nocheck>,
  libgtk-3-dev <!nocheck>,
# Not available on older releases and only needed for tests
  g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
  valgrind [amd64 i386] <!nocheck>,
  llvm-dev <!nocheck>,
  libsdl2-dev <!nocheck>,
# OpenMPI packages do not install currently (2018/04/23)
  openmpi-bin <!nocheck>,
  libopenmpi-dev <!nocheck>,
# Running OpenMPI executables requires openssh. Yes, really.
  openssh-client <!nocheck>,
  libvulkan-dev <!nocheck>,
  libpcap-dev <!nocheck>,
  libcups2-dev <!nocheck>,
  gtk-sharp2 <!nocheck>,
  gtk-sharp2-gapi <!nocheck>,
  libglib2.0-cil-dev <!nocheck>,
  libwmf-dev <!nocheck>,
  git <!nocheck>,
  mercurial <!nocheck>,
  gcovr <!nocheck>,
  lcov <!nocheck>,
  fpga-icestorm <!nocheck>,
  arachne-pnr <!nocheck>,
  yosys <!nocheck>,
  doxygen <!nocheck>,
  nasm <!nocheck>,

Package: meson
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
# ${python3:Depends},
 ninja-build(>=1.6), python3
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.
