=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,19 @@
 override_dh_clean:
 	dh_clean
 	rm -f meson-test-run.txt meson-test-run.xml
+	rm -rf __pycache__
+	rm -rf mesonbuild/__pycache__
+	rm -rf mesonbuild/*/__pycache__
+
+override_dh_install:
 # Helper script to autogenerate cross files.
+	dh_install
 	mkdir -p $$(pwd)/debian/meson/usr/share/meson
 	cp debian/debcrossgen $$(pwd)/debian/meson/usr/share/meson
+	rm -rf $$(pwd)/debian/meson/usr/lib/python*/dist-packages/mesonbuild/__pycache__
+	rm -rf $$(pwd)/debian/meson/usr/lib/python*/dist-packages/mesonbuild/*/__pycache__
+# For some reason Debian helpers install the files in the wrong directory,
+# i.e. /usr/lib/python3.6 instead of /usr/lib/python3. I don't know why
+# or how to fix it, since we just call to the default tools with default
+# parameters. Fix manually.
+	mv $$(pwd)/debian/meson/usr/lib/python3.* $$(pwd)/debian/meson/usr/lib/python3
