## meson 0.48.1

=== debian/changelog ===
meson (0.48.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 21 Oct 2018 10:06:27 -0700

meson (0.48.1-1) unstable; urgency=medium

  * New upstream release. Closes: #909851, #910443.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 17 Oct 2018 18:57:16 +0300

meson (0.48.0-2) unstable; urgency=medium

  * Add dependency to python3-pkg-resources temporarily. Closes: #909440.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 24 Sep 2018 18:51:11 +0300

meson (0.48.0-1) unstable; urgency=medium

  * New upstream release. Closes: #907324.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 22 Sep 2018 23:13:11 +0300
