=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: meson
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.4
-Homepage: http://mesonbuild.com
+Standards-Version: 4.2.1
+Homepage: https://mesonbuild.com
 X-Python3-Version: >= 3.5
 Build-Depends: debhelper (>= 11),
   python3:any (>= 3.5),
@@ -87,7 +87,9 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
 # ${python3:Depends},
- ninja-build(>=1.6), python3
+ ninja-build(>=1.6),
+ python3,
+ python3-pkg-resources,
 Description: high-productivity build system
  Meson is a build system designed to increase programmer
  productivity. It does this by providing a fast, simple and easy to
