## meson 0.48.2

=== debian/changelog ===
meson (0.48.2-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix 32bit alignmnet issues in the simd test case.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 26 Nov 2018 15:03:58 +0000

meson (0.48.2-1) unstable; urgency=medium

  * New upstream release. Closes: #911879, #911697.
  * Backport split-merge patch from trunk. Closes: #913320.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 15 Nov 2018 21:30:25 +0200

meson (0.47.2-1ubuntu4) disco; urgency=medium

  * Fix 32bit alignmnet issues in the simd test case.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 07 Nov 2018 02:17:30 +0000

meson (0.47.2-1ubuntu3) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Oct 2018 13:13:40 +0000

meson (0.47.2-1ubuntu2) cosmic; urgency=medium

  * Add proposed fix-dbus-test.patch to fix build test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 05 Sep 2018 07:04:41 -0400
