## meson 0.49.0

=== debian/changelog ===
meson (0.49.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Jan 2019 22:43:14 +0100

meson (0.49.0-1) unstable; urgency=medium

  * New upstream release. Closes: #894774, #914543, #913263.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 09 Dec 2018 19:56:53 +0200
