## meson 0.49.0-1~bpo9+1+9.0trisquel1

=== debian/changelog ===
meson (0.49.0-1~bpo9+1+9.0trisquel1) etiona-backports; urgency=medium

  * Backported from debian stretch backports as dependency of deja-dup

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 18 Oct 2021 08:33:45 +0000
