=== debian/changelog ===
meson (0.49.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 04 Feb 2019 21:20:09 +0200

meson (0.49.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 23 Jan 2019 18:49:53 +0200

meson (0.49.0-2) unstable; urgency=medium

  * Debcrossgen CPU fix from Helmut Grohne. Closes: #919065.
  * Add system compiler flags to cross files. Closes: #919117.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 13 Jan 2019 00:59:08 +0200
