## meson 0.51.0

=== debian/changelog ===
meson (0.51.0-1) experimental; urgency=medium

  * New upstream release.
  * Add build-dep to CMake needed by new tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 16 Jun 2019 22:04:22 +0300

meson (0.50.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 17 Apr 2019 01:12:02 +0300

meson (0.50.0-1) experimental; urgency=medium

  * New upstream release.
  * Install zsh completion files. Closes: #920154.
  * Add python2-dev to build deps as needed by new tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 10 Mar 2019 19:27:10 +0200
