=== debian/control ===
--- 
+++ 
@@ -80,6 +80,8 @@
   yosys <!nocheck>,
   doxygen <!nocheck>,
   nasm <!nocheck>,
+  python2-dev <!nocheck>,
+  cmake <!nocheck>,
 
 Package: meson
 Architecture: all
