=== test cases/cmake/5 object library/subprojects/cmObjLib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

find_package(ZLIB REQUIRED)

add_library(lib_obj OBJECT libA.cpp libB.cpp)
add_library(lib_sha SHARED $<TARGET_OBJECTS:lib_obj>)
add_library(lib_sta STATIC $<TARGET_OBJECTS:lib_obj>)

target_link_libraries(lib_sha ZLIB::ZLIB)
target_link_libraries(lib_sta ZLIB::ZLIB)
