## meson 0.51.2

=== debian/changelog ===
meson (0.51.2-1) unstable; urgency=medium

  * New upstream release.
  * Updated standards and compat versions.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 26 Aug 2019 19:39:22 +0300

meson (0.51.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix debcrossgen on i386.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 09 Jul 2019 19:40:49 +0300
