## meson 0.52.0

=== debian/changelog ===
meson (0.52.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 09 Oct 2019 23:27:15 -0700

meson (0.52.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed python2 build dep to prepare for Python 2 removal.
    Added boost-python explicitly to build-deps.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 06 Oct 2019 20:05:53 +0300
