=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: meson
-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
 Standards-Version: 4.4.0
 Homepage: https://mesonbuild.com
-X-Python3-Version: >= 3.5
-Build-Depends: debhelper (>= 11),
+X-Python3-Version: >= 3.7
+Build-Depends: debhelper (>= 12~),
   python3:any (>= 3.5),
   dh-python,
   python3-setuptools,
@@ -17,6 +18,7 @@
   libboost-thread-dev <!nocheck>,
   libboost-test-dev <!nocheck>,
   libboost-log-dev <!nocheck>,
+  libboost-python-dev <!nocheck>,
   gobjc <!nocheck>,
   gobjc++ <!nocheck>,
   gnustep-make <!nocheck>,
@@ -80,7 +82,6 @@
   yosys <!nocheck>,
   doxygen <!nocheck>,
   nasm <!nocheck>,
-  python2-dev <!nocheck>,
   cmake <!nocheck>,
 
 Package: meson
