## meson 0.52.1

=== debian/changelog ===
meson (0.52.1-1) unstable; urgency=medium

  * New upstream release. Closes: #945277.
  * Packaging fixes from Lasse Kantola. Closes: #870314.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 29 Nov 2019 15:52:29 +0200

meson (0.52.0-2) unstable; urgency=medium

  * Update wxwidgets build dependency. Closes: #943437.
  * Disable FPGA tests temporarily to work around Yosys upstream
    bug #1467.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 29 Oct 2019 23:48:25 +0200
