## meson 0.53.0

=== debian/changelog ===
meson (0.53.0-1ubuntu3) focal; urgency=medium

  * debian/tests/control:
    - depends on rustc

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Feb 2020 15:13:43 +0100

meson (0.53.0-1ubuntu2) focal; urgency=medium

  * Update use_python3_tests.patch to catch one more python binary use.

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 04 Feb 2020 10:53:10 -0800

meson (0.53.0-1ubuntu1) focal; urgency=medium

  * debian/patches/use_python3_tests.patch:
    - don't use the 'python' interpreter in tests since that one has been
      removed from focal

 -- Sebastien Bacher <seb128@debian.org>  Fri, 10 Jan 2020 15:01:09 +0100

meson (0.53.0-1) unstable; urgency=medium

  * New upstream release.
  * Disable tests that check home directory because it does
    not seem to work under pbuilder.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 07 Jan 2020 22:13:25 +0200
