=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: meson
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://mesonbuild.com
 X-Python3-Version: >= 3.7
-Build-Depends: debhelper (>= 12~),
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 12),
   python3:any (>= 3.5),
+  dh-exec,
   dh-python,
   python3-setuptools,
   ninja-build (>= 1.6),
@@ -40,7 +42,7 @@
   bison <!nocheck>,
   mono-mcs <!nocheck>,
   mono-devel <!nocheck>,
-  libwxgtk3.0-dev <!nocheck>,
+  libwxgtk3.0-gtk3-dev <!nocheck>,
   python3-gi <!nocheck>,
   gtk-doc-tools <!nocheck>,
 # Rust is not needed to build Meson, only to run a part of its test
@@ -77,9 +79,10 @@
   mercurial <!nocheck>,
   gcovr <!nocheck>,
   lcov <!nocheck>,
-  fpga-icestorm <!nocheck>,
-  arachne-pnr <!nocheck>,
-  yosys <!nocheck>,
+# Disabled temporarily as this has an upstream bug.
+#  fpga-icestorm <!nocheck>,
+#  arachne-pnr <!nocheck>,
+#  yosys <!nocheck>,
   doxygen <!nocheck>,
   nasm <!nocheck>,
   cmake <!nocheck>,
@@ -87,11 +90,11 @@
 Package: meson
 Architecture: all
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends},
-# ${python3:Depends},
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
  ninja-build(>=1.6),
- python3,
- python3-pkg-resources,
+# python3-pkg-resources,
 Description: high-productivity build system
  Meson is a build system designed to increase programmer
  productivity. It does this by providing a fast, simple and easy to
