=== debian/changelog ===
meson (0.53.1-1ubuntu1) focal; urgency=medium

  [ Stefano Rivera ]
  * debian/patches/use_python3_tests.patch:
    - Update use_python3_tests.patch to catch one more python binary use.

  [ Rico Tzschichholz ]
  * debian/tests/control:
    - Explicit depends on rustc and valac, so autopkgtests can pick it up

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 06 Feb 2020 19:30:31 +0100

meson (0.53.1-1) unstable; urgency=medium

  * New upstream release. Closes: #948611.
  * Add cross build autopkgtest from Helmut Grohne. Closes: #948608

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 24 Jan 2020 00:35:16 +0200
