=== debian/tests/control ===
--- 
+++ 
@@ -5,4 +5,8 @@
 Depends: meson, ninja-build, clang
 
 Tests: exhaustive
-Depends: meson, @builddeps@, rustc
+Depends: meson, @builddeps@, rustc, valac
+
+Tests: crossbuild
+Depends: meson, g++-arm-linux-gnueabihf
+
