=== test cases/failing/61 bad option argument/meson_options.txt ===
option('name', type : 'string', vaule : 'foo')
