=== test cases/unit/59 introspect buildoptions/meson_options.txt ===
option('max_register_count', type: 'integer', min: 0, value: 125)
option('use_external_fmt',   type: 'boolean', value: false)
