=== test cases/cmake/4 code gen/subprojects/cmCodeGen/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(CMAKE_CXX_STANDARD 14)

add_executable(genA main.cpp)
