=== debian/changelog ===
meson (0.53.2-2ubuntu2) focal; urgency=medium

  * Skip test cross on s390x, because arm toolchain is not available there.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Mar 2020 08:59:51 +0100

meson (0.53.2-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - add debian/patches/6703.patch
    - Allow stderr for new test
    - depend on rustc and valac, so autopkgtests can pick them up

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Mar 2020 12:05:06 +0100

meson (0.53.2-2) unstable; urgency=medium

  * Fix autopkgtest dependencies. Closes: #952610

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 29 Feb 2020 00:20:11 +0200

meson (0.53.2-1ubuntu4) focal; urgency=medium

  * Also allow stderr

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Mar 2020 11:58:04 +0100

meson (0.53.2-1ubuntu3) focal; urgency=medium

  * debian/patches/6703.patch
    - use upstream proposed approach instead of use_python3_tests.patch
  * Tweak debian tests/control to fix another test failure (Closes: #952610)
    - patch taken from bug report

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Mar 2020 07:24:25 +0100

meson (0.53.2-1ubuntu1) focal; urgency=medium

  [ Stefano Rivera ]
  * debian/patches/use_python3_tests.patch:
    - Update use_python3_tests.patch to catch one more python binary use.

  [ Rico Tzschichholz ]
  * debian/tests/control:
    - Explicit depends on rustc and valac, so autopkgtests can pick it up

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 26 Feb 2020 12:42:13 +0100

meson (0.53.2-1) unstable; urgency=medium

  * New upstream release. Closes: #950020, #951487

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 25 Feb 2020 18:02:37 +0200
