=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: meson
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
+Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://mesonbuild.com
 X-Python3-Version: >= 3.7
 Rules-Requires-Root: no
@@ -49,7 +48,7 @@
 # suite.  Rust tests will be skipped if rustc is not available.  This
 # stanza makes dep dep solver install rustc whenever it is available
 # and when not it installs a harmless filler package.
-  rustc [i386 amd64] <!nocheck> | bash-doc <!nocheck>,
+  rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
   python3-dev <!nocheck>,
   cython3 <!nocheck>,
 # GDC is available on all platforms but it only
