=== debian/tests/control ===
Tests: basicmeson
Depends: meson, g++

Tests: clangmeson
Depends: meson, clang

Tests: exhaustive
Depends: meson, @builddeps@, rustc, valac

Tests: crossbuild
Depends: meson, g++, g++-arm-linux-gnueabihf
Restrictions: allow-stderr, skip-not-installable
