## meson 0.54.1

=== debian/changelog ===
meson (0.54.1-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip test cross on s390x, because arm toolchain is not available there.
    - Mark exaustive as flaky, boost static link seems to be not working with
      boost 1.71

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 May 2020 22:01:00 +0200

meson (0.54.1-2) unstable; urgency=medium

  * Add libdir regression fix. Closes: #959708.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 06 May 2020 23:25:28 +0300

meson (0.54.1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip test cross on s390x, because arm toolchain is not available there.
    - Mark exaustive as flaky, boost static link seems to be not working with
      boost 1.71

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Apr 2020 10:57:47 +0200

meson (0.54.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 26 Apr 2020 12:10:21 +0300

meson (0.54.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 29 Mar 2020 20:03:27 +0300

meson (0.54.0~rc1-1) experimental; urgency=medium

  * New upstream rc release.
  * Updated debcrossgen to not write to stderr. Closes: #952610.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 24 Mar 2020 11:32:25 +0200
