=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
   libboost-test-dev <!nocheck>,
   libboost-log-dev <!nocheck>,
   libboost-python-dev <!nocheck>,
+  libboost-regex-dev <!nocheck>,
   gobjc <!nocheck>,
   gobjc++ <!nocheck>,
   gnustep-make <!nocheck>,
