=== debian/tests/control ===
Tests: basicmeson
Depends: meson, g++

Tests: clangmeson
Depends: meson, clang

# At the time of writing the packaging machinery does not put @builddeps@ into
# autopkg deps. The tests are only automatically run when packages explicitly
# listed as Depends are uploaded. List a few major ones to make sure those
# tests are run and thus block broken uploads.
Tests: exhaustive
Depends: meson, @builddeps@, valac, rustc, ldc
Restrictions: flaky, skip-not-installable

Tests: crossbuild
Depends: meson, g++, g++-arm-linux-gnueabihf
Restrictions: skip-not-installable
