## meson 0.54.2

=== debian/changelog ===
meson (0.54.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 15 May 2020 10:26:05 +0300
