=== debian/tests/control ===
--- 
+++ 
@@ -10,8 +10,6 @@
 # tests are run and thus block broken uploads.
 Tests: exhaustive
 Depends: meson, @builddeps@, valac, rustc, ldc
-Restrictions: flaky, skip-not-installable
 
 Tests: crossbuild
 Depends: meson, g++, g++-arm-linux-gnueabihf
-Restrictions: skip-not-installable
