## meson 0.54.3

=== debian/changelog ===
meson (0.54.3-1ubuntu2) groovy; urgency=medium

  * Don't set flaky anymore, see:
    https://code.launchpad.net/~costamagnagianfranco/autopkgtest-cloud/+git/autopkgtest-cloud/+merge/386374
    and Debian bug: 963546

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jun 2020 22:16:46 +0200

meson (0.54.3-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Skip test cross on s390x, because arm toolchain is not available there.
    - Mark exaustive as flaky, boost static link seems to be not working with
      boost 1.71

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jun 2020 15:25:48 +0200

meson (0.54.3-1) unstable; urgency=medium

  * New upstream release. Closes: #960877.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 15 Jun 2020 19:48:23 +0300
