=== debian/tests/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
 # tests are run and thus block broken uploads.
 Tests: exhaustive
 Depends: meson, @builddeps@, valac, rustc, ldc
+Restrictions: skip-not-installable
 
 Tests: crossbuild
 Depends: meson, g++, g++-arm-linux-gnueabihf
+Restrictions: skip-not-installable
