## meson 0.55.0

=== debian/changelog ===
meson (0.55.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't consider skipped tests as failures. Closes: #966923
  * Fix test with setuptools 49. Closes: #968704

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 20 Aug 2020 18:10:34 +0100

meson (0.55.0-2) unstable; urgency=medium

  * Fix crossbuild test from Gianfranco Costamagna. Closes: #963546
  * Add dep to Python pkg resources from Kunal Mehta. Closes: #965033.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 16 Jul 2020 22:15:06 +0300

meson (0.55.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 12 Jul 2020 17:29:15 +0300

meson (0.55.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Fix test dependency setup to work on all arches. Closes: #963546.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 08 Jul 2020 10:51:14 +0300
