=== debian/control ===
--- 
+++ 
@@ -94,7 +94,7 @@
  ${misc:Depends},
  ${python3:Depends},
  ninja-build(>=1.6),
-# python3-pkg-resources,
+ python3-pkg-resources,
 Description: high-productivity build system
  Meson is a build system designed to increase programmer
  productivity. It does this by providing a fast, simple and easy to
