=== debian/tests/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
 # listed as Depends are uploaded. List a few major ones to make sure those
 # tests are run and thus block broken uploads.
 Tests: exhaustive
-Depends: meson, @builddeps@, valac, rustc, ldc
-Restrictions: skip-not-installable
+Depends: meson, @builddeps@, valac, rustc, ldc [!s390x !ppc64el]
 
 Tests: crossbuild
-Depends: meson, g++, g++-arm-linux-gnueabihf
-Restrictions: skip-not-installable
+Depends: meson, g++, g++-arm-linux-gnueabihf [!s390x]
+
