## meson 0.55.1

=== debian/changelog ===
meson (0.55.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches no longer needed in 0.55.1.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 21 Aug 2020 00:08:05 +0300
