## meson 0.55.3

=== debian/changelog ===
meson (0.55.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 11 Sep 2020 18:38:53 +0300

meson (0.55.2-1) unstable; urgency=medium

  * New upstream release.
  * Install Bash completion files. Closes: #968462.
  * Remove TAP test distro patch that is now upstream.
  * Do not install openmpi packages as the tests don't run under pbuilder.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 10 Sep 2020 19:44:56 +0300
