=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Homepage: https://mesonbuild.com
 X-Python3-Version: >= 3.7
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
   python3:any (>= 3.5),
   dh-exec,
   dh-python,
   python3-setuptools,
   ninja-build (>= 1.6),
+  bash-completion,
 # The following are needed for the unit test suite
   zlib1g-dev <!nocheck>,
   pkg-config <!nocheck>,
@@ -63,9 +64,10 @@
   valgrind [amd64 i386] <!nocheck>,
   llvm-dev <!nocheck>,
   libsdl2-dev <!nocheck>,
-# OpenMPI packages do not install currently (2018/04/23)
+# OpenMPI tests do not run under pbuilder and the packages are currently
+# (2020-09-10) broken and uninstallable so disable this.
   openmpi-bin <!nocheck>,
-  libopenmpi-dev <!nocheck>,
+#  libopenmpi-dev <!nocheck>,
 # Running OpenMPI executables requires openssh. Yes, really.
   openssh-client <!nocheck>,
   libvulkan-dev <!nocheck>,
